Skip to main content
New
Stack Overflow Jobs powered by Indeed: A job site that puts thousands of tech jobs at your fingertips (U.S. only). Search jobs

Questions tagged [updating]

Questions regarding updating Craft CMS or its plugins.

Filter by
Sorted by
Tagged with
1 vote
1 answer
25 views

Updated plugins keep showing in the control panel and command line

In Craft CMS 4.8.10 I have updated my plugins via command-line and in the control panel and they both come back with the updates successful. But in the control panel the updates continue to appear ...
bhackett's user avatar
  • 137
1 vote
1 answer
86 views

Craft + FeedMe update

I'm trying to update Craft to 4.5.10 which requires PHP 8.0.2+ but I have Feed Me plugin installed, which is using Cakephp 3.10.5, which requires PHP >=5.6.0,<8.0.0. Is it possible to update ...
Michal Bulla's user avatar
0 votes
0 answers
57 views

composer update for Craft 3 to Craft 4

Trying to migrate a site from Craft 3 to Craft 4. Carefully followed the instructions to update my composer.json file to reflect the Craft 4 versions of Craft and all plugins. When I run composer ...
Roi Agneta's user avatar
  • 1,463
0 votes
1 answer
675 views

How to update from Craft version 2 to 4?

I'm working with a Craft site that's running on version 2.6 and I need to get it updated to the latest version. My first approach was to just start a fresh site and then import the existing database, ...
taylor018's user avatar
  • 103
1 vote
1 answer
230 views

Getting a mega error in updating from 3.1

Firstly, I understand it's silly to leave a project go this out of date, but it was out of my hands. Secondly, there are many abandoned plugins in here, but I'm keen to the project updated then adjust ...
Jay's user avatar
  • 1,042
2 votes
1 answer
176 views

Trigger Webhook when Updates are Available

Is it possible with the Webhooks plugin to trigger a POST request anytime Craft has updates available? I thought the Updates Class would be the place to start but that does not appear to be correct. ...
vanburen's user avatar
1 vote
0 answers
307 views

Migration fails during update to 3.7.7

I'm updating a Craft installation from 3.5.17.1 to 3.7.7 and it's failing when applying migrations. I'm trying to do the update via CLI on MAMP. Here is the relevant part of the error: *** applying ...
artmem's user avatar
  • 1,022
1 vote
2 answers
379 views

Unable to backup the database or apply migrations

I'm running CraftCMS via 3 Docker containers in 1 Docker network: Container 1 - MySQL Container 2 - Nginx Container 3 - PHP:7.4-fpm When I run php craft update craft from container 3 and choose to ...
studio-pj's user avatar
  • 111
1 vote
1 answer
279 views

Craft 3.6 Upgrade errors - can only install one of yiisoft/yii2 (and other errors)

I'm new to Craft so maybe I'm doing something dumb, but I can't get past this error screen when trying to update to 3.6: Composer output: Loading composer repositories with package information ...
doctorgloom's user avatar
1 vote
1 answer
295 views

Database Connection Error after updating from Craft 2 to 3

Good evening all, I am updating a small site from Craft 2 to 3, and after following the instructions in the documents, I loaded up the backend of my site and was greeted with the install screen. I ...
Shad's user avatar
  • 451
1 vote
1 answer
438 views

Dependency Conflict Updating to Craft 3.5

I'm trying to update to Craft 3.5 from 3.4.3 but running into this error message: Composer output: Package "craftcms/vue-asset" listed for update is not installed. Ignoring. Loading composer ...
theAdhocracy's user avatar
1 vote
1 answer
360 views

Error Updating Freeform Pro

I recently renewed many licenses on a previously-neglected site and have been attempting to update both the CMS and the plugins. Despite having a Freeform Pro license, the plugin appears as Freeform ...
Marcus's user avatar
  • 419
1 vote
1 answer
127 views

Craft updater still spinning after at least half an hour--no error message

I hadn't updated site in a while now. Checked Craft's control panel and something like 12 updates were available and i clicked update. "Updating Composer dependencies (this may take a minute)…" has ...
Richard's user avatar
  • 11
0 votes
0 answers
329 views

Error after Updating Craft

After submitting the last Craft Update over the CP i got the following error: Warning: require(/home/xxx/xxx/xxx/vendor/craftcms/cms/bootstrap/console.php): failed to open stream: No such file or ...
TomS's user avatar
  • 213
0 votes
0 answers
256 views

Getting 403 when trying to update from Craft 3.3.20.1

I just updated Craft Pro to 3.3.20.1 and went to run the next set of Craft updates (all from the cp). But now when accessing the updates page, the "checking for updates" spins continuously and I get ...
Mike's user avatar
  • 699
1 vote
1 answer
928 views

Allowed memory size of 1610612736 bytes exhausted when updating via CLI on OS X

This one has been bugging me for months. My development environment is running on MAMP on OS X. It's worked absolutely find for ages but for no reason that I can identify all my Craft sites now ...
neekster's user avatar
  • 403
1 vote
1 answer
90 views

Update issues on local laravel valet

When I update any plugins ( and I mean any not specific) the vendor package vlucas (Php DotEnv) is removed and the site subsequently breaks complaining it cannot find the DOT env file. Manual update ...
joomkit's user avatar
  • 2,024
1 vote
1 answer
65 views

3.2 upgrade, drafts table error

When I try to upgrade to 3.2 on my site I get an error saying the drafts table already exists. Does anyone know of any plugins that use such a table? I'm trying to sort out what's going on.
watchwood's user avatar
  • 133
1 vote
1 answer
47 views

Internal Server Error - getDateFormatter() on null

When doing a manual update from 2.6.3012 to 2.7.8, I get the following error: Internal Server Error Call to a member function getDateFormatter() on null I get the following error when enabling ...
MXDVL's user avatar
  • 121
4 votes
2 answers
2k views

Running Craft updates

This is a newbie question regarding running Craft updates. In the past I've been caught out by stupidly running updates on the live server. I'm now trying to get into the habit of running the updates ...
Andrew's user avatar
  • 738
1 vote
1 answer
93 views

Latest update to Craft 3.1.27 crashed server

I updated the site locally to 3.1.27 (it is working fine) and moved the vendor files, composer.lock and composer.json to the server. After the update, I went to the admin and clicked on the "...
Rick's user avatar
  • 67
3 votes
3 answers
1k views

cannot update Craft CMS - composer errors

I'm upgrading a site to 3.0.41.1 (not ready to go to 3.1) and when I do I get the following error. How do I resolve this? composer update craftcms/cms Loading composer repositories with package ...
CreateSean's user avatar
  • 1,973
2 votes
2 answers
512 views

Updating Craft 3 from ver. 3.0.28 10/23/2018

I have to update Craft 3 from ver. 3.0.28 10/23/2018, but i got this message: You’ve reached a breakpoint! More updates will become available after you install Craft CMS 3.0.40. How can i fix this ...
Chris's user avatar
  • 35
1 vote
1 answer
148 views

Craft update process affecting Element API cache

I have a site A using the Element API plugin to feed content to site B via JSON and handlebars templates. The process is both sites are up to date with content 'x' and it works fine. When I run the ...
joomkit's user avatar
  • 2,024
1 vote
1 answer
76 views

Interne Serverfout after one click update

Hello and good evening, After the one click update the message 'Interne Serverfout' appears on the screen. One can no longer connect to either the fron or backend of the installation ? What is the ...
rdhrkns's user avatar
  • 41
2 votes
2 answers
748 views

Unable to update Craft: 'requires yiisoft/yii2-queue 2.1.0'

I've got another update issue with the following error. Can anyone help? craftcms/cms 3.0.27 requires yiisoft/yii2-queue 2.1.0 -> satisfiable by yiisoft/yii2-queue[2.1.0] but these ...
Andrew's user avatar
  • 738
3 votes
1 answer
586 views

Attempting Craft 2 -> 3 Upgrade | An Error occurred while handling another error

I'm trying to upgrade Craft 2 -> 3. I can install Craft 3 no problem, but when I try starting over/upgrading I'm hitting this error. The Craft 2 site is running the latest version of Craft. MacOS ...
Charlie Triplett's user avatar
0 votes
1 answer
48 views

No more Ajax in the control panel after update to Craft 2.7.0 [closed]

I've update a Craft 2 site to Craft 2.7.0 but since I did no Ajax(?) calls work; I can't clear caches, backup data bases, open a Matrix field,... Anyone got an idea what went wrong? Thanks!
Jan's user avatar
  • 363
1 vote
1 answer
321 views

Error: Call to undefined function Craft\mb_convertOcase() after updating to 2.6.3017 [closed]

Just updated Craft 2.6.3002 to 2.6.3017 and am getting the following error in the CP & front-end: Call to undefined function Craft\mb_convertOcase() /craft/app/helpers/StringHelper.php(558). On ...
Andrea DeMers's user avatar
1 vote
1 answer
895 views

Failed upgrade to 3.0.0

Just tried to run the auto-update to v3.0.0 and it failed catastrophically with the message: Error: file_put_contents(/var/www/html/craftcms/composer.lock): failed to open stream: Permission denied ...
UnknownDeveloper's user avatar
1 vote
1 answer
319 views

Can't update past CraftCMS 3 RC15

I am currently developing my first website using Craft 3 and I'm loving it overall. I seem to have a small issue that I can't quite figure out. When I go to the updates section in the admin panel, I ...
Rhys Halsey's user avatar
5 votes
1 answer
5k views

Cannot declare class because the name is already in use

I'm trying to port a Craft 2 plugin to Craft 3, and don't seem smart enough to work out the namespaces. I've stripped out everything except what the docs recommend, but keep getting Cannot declare ...
kr37's user avatar
  • 1,355
1 vote
2 answers
602 views

Craft 3 wont update in Laravel Valet development enviornment

I'm using Laravel Valet with Craft 3 (Craft 3.0.0-RC13) and Sequel Pro. I can't seem to get Craft to update. I just get a warning sign and a message saying that it couldn't back up the database. ...
Richard Clark's user avatar
2 votes
1 answer
102 views

Why should I update Craft CMS?

Haven't updated since version 2.6.2949 - are there any potential negative consequences of not updating? If so, what are they? Thanks.
J.Major's user avatar
  • 23
1 vote
0 answers
194 views

In upgrading from Craft 2 to Craft 3 I'm getting a SQL error saying the translationMethod column is missing [closed]

The full message is: Internal Server Error SQLSTATE[42S22]: Column not found: 1054 Unknown column 'fields.translationMethod' in 'field list' The SQL being executed was: SELECT fields.id, fields....
Adam Simpson's user avatar
1 vote
1 answer
1k views

Updating Craft 3 from RC3 to RC4 through Composer

I have a problem when updating with Composer. My installation command line was this one: php composer.phar create-project -s RC craftcms/craft $HOME/craft As such, I tried to update, as per Ryan ...
Braintrash's user avatar
2 votes
2 answers
2k views

Error when updating 2 to 3: Bad Request Unable to verify your data submission

Followed all steps on Upgrading from Craft 2 I have my .env, db.php, general.php and index.php in place... can't find any reference of this issue. This happens after "To complete the update, some ...
Leo Leoncio's user avatar
4 votes
1 answer
605 views

Issues upgrading Craft 2 to 3 - Keep seeing Install Screen not Update screen

I'm trying to update my development site on MAMP from Craft 2 to 3. I've installed Composer and tried both upgrade methods (keeping the current directory structure & using the new structure). But ...
Whale Creative's user avatar
1 vote
2 answers
797 views

Why is Craft returning a 504 during a system update?

There have been a few updates to the system and some of the plugins I am using. I have installed everything locally and a plugin needed to run new migrations as a result of the update. Everything ...
Damon's user avatar
  • 4,706
5 votes
1 answer
957 views

Is there a way to prevent Craft from backing up the database before updating?

When Craft tries to apply an update, it tries to back up the database. Although that's great in general, backing up a large database using PHP requires a lot of memory and resources that might not be ...
Panos Spiliotis's user avatar
1 vote
1 answer
233 views

Unable to load the "Craft\xyz" runtime after Craft update

After updating from Craft CMS 2.6.2973 to Craft CMS 2.6.2981 I get the following error message: "Unable to load the "Craft\xyz" runtime after Craft update" "Craft\xyz" is a Twig extension Fails in [...
Martin Jenssen's user avatar
3 votes
2 answers
923 views

After updating, getting "Could not resolve the subpath" error

After updating to 2.6.2973, saving any entry fails, resulting in an Internal Server Error: "Could not resolve the subpath '{slug}'". I've read the similar errors on here which trace back to Matrix ...
Marcus's user avatar
  • 419
3 votes
2 answers
69 views

What is the best approach of updating existing Craft installs with new features?

I'm currently developing a blueprint for all my Craft websites. It contains a set of sections, fields, plugins etc. All configured the way I need for my websites. The websites itself are basically a ...
Wieger Jelsma's user avatar
2 votes
2 answers
2k views

How do I fix PHP Notice - Undefined index: releaseDate?

I'm getting this error: Undefined index: releaseDate in craft/app/etc/behaviors/AppBehavior.php(500) Line 500: $row['releaseDate'] = DateTime::createFromString($row['releaseDate'], null, false); ...
larnera1's user avatar
0 votes
1 answer
82 views

Can't update from v2.6.2789 via manual update

I can't seem to update my local dev site Craft version (2.6.2789) to the latest 2.6.2964. I've followed the steps to update manually but it has no effect and still shows the v2.6.2789 in the footer. ...
larnera1's user avatar
0 votes
0 answers
396 views

Internal Server Error after Craft update through admin

Anyone ever experience getting this after an update through the admin? Internal Server Error mb_strpos(): empty delimiter And know of a solution?
Anders's user avatar
  • 652
0 votes
1 answer
33 views

Can I simply update from 2.6.2779 -> 2.6.2958, shared hosting

Do I need to go through and install all the previous updates before installing 2.6.2958 (current 2.6.2779) OR can I simply use the instructions on this page https://craftcms.com/docs/updating and ...
Jeff's user avatar
  • 1
1 vote
2 answers
210 views

Problem with manual upgrade

I tried to upgrade a website that I have to the latest version 2.6.2930 from an older 2.6.2804 and for an unknown reason the upgrade failed. I couldn't log in the administration area but the front end ...
Dimitrios Vogiatzis's user avatar
2 votes
1 answer
532 views

'Could Not Find Your Craft/ Folder' After Updating

I updated to the latest version of Craft, and I am getting this error: Could not find your craft/ folder. Please ensure that $craftPath is set correctly in /storage/xxxxxxx/www/public_html/index....
Angela's user avatar
  • 569
1 vote
1 answer
133 views

My site is down and I can't access the admin panel after attempting an automatic update [closed]

I attempted to update my website by pressing the update button in the control panel. It failed and now site is down. How do I fix this? I don't have a backup to restore.
user5453's user avatar